/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2012 fortiss GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.base.ui.dialog;

import java.util.ArrayList;
import java.util.List;

import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Display;
import org.eclipse.ui.forms.widgets.FormToolkit;

/**
 * GUI for {@link ElementTreeMultiSelectDialog}.
 * 
 * @author wenwenchen
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating GREEN Hash: BFF2681187412D40C2A8ADE53F4A3276
 */
public class ButtonDialogGUI extends Composite {

	/** buttons list */
	private List<Button> buttons;

	/** GUI Factory */
	private final FormToolkit formToolkit = new FormToolkit(Display.getDefault());

	/** Default Constructor for GUI builder. */
	public ButtonDialogGUI(Composite parent, int style, List<String> buttonNames) {
		super(parent, style);

		GridLayout gl_container = new GridLayout(buttonNames.size(), false);
		gl_container.verticalSpacing = 2;
		gl_container.marginRight = 5;
		gl_container.marginLeft = 5;
		gl_container.marginBottom = 5;
		gl_container.marginTop = 5;
		gl_container.marginWidth = 0;
		gl_container.marginHeight = 0;
		setLayout(gl_container);
		setLayoutData(new GridData(GridData.FILL_BOTH));

		buttons = new ArrayList<Button>();
		for(String name : buttonNames) {
			Button button = new Button(this, SWT.NONE);
			button.setText(name);
			formToolkit.adapt(button, true, true);
			buttons.add(button);
		}
	}

	/** Returns elementTreeViewer. */
	public List<Button> getButtons() {
		return buttons;
	}
}
