/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2012 fortiss GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.base.ui.fieldassist;

import java.util.HashMap;

import org.eclipse.swt.graphics.Image;

/**
 * Class for managing the icons to display in FieldAssist.
 * 
 * @author doebber
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating GREEN Hash: 730CFD4BB3B37651183B3147D62D1F28
 */
public class FieldAssistImageRegistry {

	/** Stores the mapping of displayed proposal string to icon. */
	private static HashMap<String, Image> map = new HashMap<String, Image>();

	/** Assigns icon to proposal. */
	public static void put(String proposal, Image icon) {
		map.put(proposal, icon);
	}

	/** Returns the icons assigned to this proposal. */
	public static Image getIcon(String proposal) {
		return map.get(proposal);
	}
}
