/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2011 fortiss GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.base.ui.fieldassist;

/**
 * Implementation of an {@link IProposalProvider} with static proposals.
 * 
 * @author doebber
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating GREEN Hash: EC5DDC720FC444318E47FE60CFBD43CD
 */
public final class StaticProposalProvider extends ProposalProviderBase {

	/** Stores the array of proposals. */
	private String[] proposals;

	/** Constructor. */
	public StaticProposalProvider(String[] proposals) {
		this.proposals = proposals;
	}

	/** {@inheritDoc} */
	@Override
	public String[] getProposals(String currentWord) {
		return proposals;
	}
}
