/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2013 fortiss GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.base.model.base.impl;

import org.fortiss.tooling.base.model.base.LibraryElementBase;
import org.fortiss.tooling.kernel.model.IElementWithURI;
import org.fortiss.tooling.kernel.model.INamedElement;

/**
 * Static implementation for the element library base.
 * 
 * @author ratiu
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating GREEN Hash: 42843EC2C2214774D4D4EAC9BAB963BF
 */
public class LibraryElementBaseStaticImpl {

	/** Returns an URI attached to this library element. */
	public static String getURI(LibraryElementBase el) {
		return ((IElementWithURI)el.eContainer()).getURI() + "." + el.getName();
	}

	/**
	 * Returns a name for this library element. By default, if the wrapped element is
	 * {@link INamedElement} then its name is returned, otherwise null.
	 */
	public static String getName(LibraryElementBase el) {
		return el.getWrappedElement() instanceof INamedElement ? ((INamedElement)el
				.getWrappedElement()).getName() : null;
	}
}
