/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2011 fortiss GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.ui.internal.properties;

import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Text;
import org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetPage;
import org.fortiss.tooling.kernel.model.IElementWithURI;
import org.fortiss.tooling.kernel.ui.extension.base.PropertySectionBase;

/**
 * Property section for {@link IElementWithURI}s.
 * 
 * @author ratiu
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating GREEN Hash: D27E9C6C34513AAADE71A0D3F5278643
 */
public class ElementWithURIPropertySection extends PropertySectionBase {

	/** URI edit widget. */
	private Text uriText;

	/** Stores the current input. */
	private IElementWithURI elementWithURI;

	/** {@inheritDoc} */
	@Override
	public void createControls(Composite parent, TabbedPropertySheetPage aTabbedPropertySheetPage) {
		super.createControls(parent, aTabbedPropertySheetPage);
		uriText = createFormText("URI");
		uriText.setEnabled(false);
	}

	/** {@inheritDoc} */
	@Override
	protected void setSectionInput(Object input) {
		if(input instanceof IElementWithURI) {
			elementWithURI = (IElementWithURI)input;
		}
	}

	/** {@inheritDoc} */
	@Override
	public void refresh() {
		super.refresh();

		uriText.setText(elementWithURI.getURI());
	}
}
