/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2011 fortiss GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.ui.internal.views;

import org.eclipse.emf.ecore.EObject;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.jface.viewers.TreeViewer;
import org.eclipse.swt.dnd.DragSourceEvent;
import org.fortiss.tooling.kernel.extension.data.Prototype;
import org.fortiss.tooling.kernel.extension.data.PrototypeCategory;
import org.fortiss.tooling.kernel.ui.dnd.ElementCompositionDragSourceAdapter;

/**
 * Drag and drop support for {@link LibraryView}.
 * 
 * @author eder
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating GREEN Hash: 5D2844049A8CD3EF83C7ED6D5EC9DD4C
 */
public class LibraryViewDragSourceAdapter extends ElementCompositionDragSourceAdapter {

	/** Library tree viewer */
	private final TreeViewer libraryViewer;

	/** Constructor */
	public LibraryViewDragSourceAdapter(TreeViewer libraryViewer) {
		this.libraryViewer = libraryViewer;
	}

	/** {@inheritDoc} */
	@Override
	protected EObject getSourceElement() {
		IStructuredSelection sel = (IStructuredSelection)libraryViewer.getSelection();
		return ((Prototype)sel.getFirstElement()).getPrototypeCopy();
	}

	/** {@inheritDoc} */
	@Override
	public void dragStart(DragSourceEvent event) {
		IStructuredSelection sel = (IStructuredSelection)libraryViewer.getSelection();
		if(sel.getFirstElement() instanceof PrototypeCategory) {
			event.doit = false;
			event.data = null;
		} else {
			super.dragStart(event);
		}
	}
}
