/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2012 fortiss GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.extension.data;

import org.fortiss.tooling.kernel.model.ILibraryElementReference;

/**
 * A prototype for the library element.
 * 
 * @author ratiu
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating GREEN Hash: F04DB9F51D7EF35143C4D4DC37C1702C
 */
public abstract class LibraryPrototype extends Prototype {

	/** Constructor. */
	public LibraryPrototype(String name, ILibraryElementReference libraryElementReference) {
		super(name, libraryElementReference, false);
	}

	/** {@inheritDoc} */
	@Override
	public abstract ILibraryElementReference getPrototypeCopy();
}
