/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2016 fortiss GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.service;

import org.fortiss.tooling.kernel.introspection.IIntrospectiveKernelService;
import org.fortiss.tooling.kernel.introspection.KernelIntrospectionSystemService;

/**
 * Interface for the Kernel Introspection System Service, which
 * provides access to kernel state information and registered services.
 * 
 * @author hoelzl
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating GREEN Hash: 5120AD2332E8E450F9F991D121C418B8
 */
public interface IKernelIntrospectionSystemService {
	/** Returns the service instance. */
	public static IKernelIntrospectionSystemService getInstance() {
		return KernelIntrospectionSystemService.getInstance();
	}

	/**
	 * Registers the given {@link IIntrospectiveKernelService} service with
	 * {@link KernelIntrospectionSystemService KISS}.
	 */
	void registerService(IIntrospectiveKernelService service);

	/** Unregisters the given service. */
	void unregisterService(IIntrospectiveKernelService service);
}
