/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2012 fortiss GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.utils;

import java.util.List;

import org.eclipse.emf.ecore.EObject;
import org.fortiss.tooling.kernel.extension.data.Prototype;
import org.fortiss.tooling.kernel.service.IPrototypeService;

/**
 * Utility methods for dealing with prototypes.
 * 
 * @author ratiu
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating GREEN Hash: 513A5717547D616D724799B7BA4FF9C1
 */
public class PrototypesUtils {

	/** Returns a prototype with a given name that is composable with a given model element type. */
	public static Prototype findPrototypeComposableWith(Class<? extends EObject> modelElementType,
			String prototypeName) {
		List<Prototype> prototypes =
				IPrototypeService.getInstance().getComposablePrototypes(modelElementType);
		for(Prototype prot : prototypes) {
			if(prot.getName().equals(prototypeName)) {
				return prot;
			}
		}
		return null;
	}
}
