/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2016 fortiss GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.spiderchart.style;

import org.eclipse.swt.graphics.RGB;

/**
 * Class for all style attributes of the spider chart legend.
 * 
 * @author hoelzl
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating GREEN Hash: 0BE4341696DBAF47FC1AF6BBB2D5EF8A
 */
public final class LegendStyle extends ColorStyleBase {
	/** The vertical / horizontal layout flag. */
	private boolean verticalLayout;
	/** The inner margins. */
	private int margin = 5;
	/** The font style of the label. */
	private FontStyle labelStyle;

	/** Constructor. */
	public LegendStyle(RGB rgbColor, boolean verticalLayout, int margin, FontStyle labelStyle) {
		super(rgbColor);
		this.margin = Math.max(5, margin);
		this.verticalLayout = verticalLayout;
		this.labelStyle = labelStyle;
	}

	/** Returns the vertical layout flag. */
	public boolean isVerticalLayout() {
		return verticalLayout;
	}

	/** Returns margin. */
	public int getMargin() {
		return margin;
	}

	/** Returns the label font style. */
	public FontStyle getLabelStyle() {
		return labelStyle;
	}
}
